/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package gestor.utiles;

import gestor.Configuracion;

/**
 *
 * @author admf11600q4
 */
public class FormateadorBotones {
   Configuracion conf;
   String htmlTxtGrande = "<div Style='font-size:%1dpx;color: %2s;font-style:normal;margin-bottom:10px'>";
   String htmlTxtChico = "<div Style='font-size:%1dpx;color: %2s'>";
   
   public FormateadorBotones() {
      conf = Configuracion.instanciaUnica();
      htmlTxtGrande = String.format(htmlTxtGrande, conf.ttbGrande, conf.colorGrande);
      htmlTxtChico = String.format(htmlTxtChico, conf.ttbChico, conf.colorChico);
   }
   
   public String formatear(String txt, String detalles, boolean esMenu) {
      StringBuilder sb = new StringBuilder("<html><center>");
      sb.append(htmlTxtGrande);
      sb.append(txt);
      if (esMenu) {
         sb.append("<font Style='font-size:15px;color: #000066'>   \u25ba</font>");
      }
      sb.append("</div>");
      if (detalles != null) {
         String[] dets = Global.split(detalles, '#');
         for (String s : dets) {
            sb.append(htmlTxtChico).append(s).append("</div>");
         }
      }
      sb.append("</center></html>");
      return sb.toString();
   }
}
